Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portlets.struts
Class ViewCommandExecutionContext

    java.lang.Object
      com.ibm.wps.portlets.struts.ViewCommandExecutionContext

    public class ViewCommandExecutionContext

extends java.lang.Object

The `ViewCommandExecutionContext` class is a context object that is passed to the execute method of an IViewCommand. This is a generic context object that is provided so the WpsStrutsViewCommand implementation has access to the objects necessary to render the view.

Since:
  4.1

Constructor Summary
`ViewCommandExecutionContext(PortletContext portletContext, ModuleContext moduleContext, ServletContext servletContext)` Constructs the ViewCommandExecutionContext.
`ViewCommandExecutionContext(PortletContext portletContext, ModuleContext moduleContext, ServletContext servletContext, PageContext pageContext)` Constructs the ViewCommandExecutionContext.
`ViewCommandExecutionContext(PortletRequest portletRequest, WpsActionServlet actionServlet)` Constructs the ViewCommandExecutionContext.

Method Summary
`ModuleContext` | `getModuleContext()` Returns the ModuleContext.
`PageContext` | `getPageContext()` Returns the PageContext.
`PortletContext` | `getPortletContext()` Returns the PortletContext.
`ServletContext` | `getServletContext()` Returns the ServletContext.
`void` | `setModuleContext(ModuleContext context)` Sets the ModuleContext.
`void` | `setPageContext(PageContext pageContext)` Sets the PageContext.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewCommandExecutionContext

    public ViewCommandExecutionContext(PortletContext portletContext,
                                       ModuleContext moduleContext,
                                       ServletContext servletContext)

  Constructs the ViewCommandExecutionContext.

  Parameters:
    `portletContext` - the portlet context object
    `moduleContext` - the module context object
    `servletContext` - the servlet context object

### ViewCommandExecutionContext

    public ViewCommandExecutionContext(PortletContext portletContext,
                                       ModuleContext moduleContext,
                                       ServletContext servletContext,
                                       PageContext pageContext)

  Constructs the ViewCommandExecutionContext.

  Parameters:
    `portletContext` - the portlet context object
    `moduleContext` - the module context object
    `servletContext` - the servlet context object
    `pageContext` - the page context object

### ViewCommandExecutionContext

    public ViewCommandExecutionContext(PortletRequest portletRequest,
                                       WpsActionServlet actionServlet)

  Constructs the ViewCommandExecutionContext. This version will use the WpsActionServlet object to obtain the PortletContext and the ServletContext.

  Parameters:
    `portletRequest` - the portlet request object
    `actionServlet` - the action servlet object

Method Detail

### getPortletContext

    public PortletContext getPortletContext()

  Returns the PortletContext.

  Returns:
    returns the portlet context

### getModuleContext

    public ModuleContext getModuleContext()

  Returns the ModuleContext.

  Returns:
    returns the module context

### setModuleContext

    public void setModuleContext(ModuleContext context)

  Sets the ModuleContext.

  Parameters:
    `ModuleContext` - the module context

### getServletContext

    public ServletContext getServletContext()

  Returns the ServletContext.

  Returns:
    returns the servlet context

### getPageContext

    public PageContext getPageContext()

  Returns the PageContext.

  Returns:
    returns the page context, this value can be `null`

### setPageContext

    public void setPageContext(PageContext pageContext)

  Sets the PageContext.

  Parameters:
    `pageContext` - the page context

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD